Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## djbuch.kapitel_13
Class DJAgent

    java.lang.Object
      |
      +--djbuch.kapitel_13.DJAgent

public class DJAgent
extends java.lang.Object

Author:
  Thomas Ekert

Constructor Summary
`DJAgent(java.lang.String name, Document doc)`

Method Summary
`java.lang.String` | `getComment()`
`java.lang.String` | `getCommonOwner()`
`java.lang.String` | `getHttpURL()`
`DateTime` | `getLastRun()`
`java.util.Vector` | `getLockHolders()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNotesURL()`
`java.lang.String` | `getOnBehalfOf()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getParameterDocID()`
`Database` | `getParent()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getServerName()`
`int` | `getTarget()`
`int` | `getTrigger()`
`java.lang.String` | `getURL()`
`boolean` | `isActivatable()`
`boolean` | `isEnabled()`
`boolean` | `isNotesAgent()`
`boolean` | `isPublic()`
`boolean` | `isWebAgent()`
`boolean` | `lock()`
`boolean` | `lock(boolean arg0)`
`boolean` | `lock(java.lang.String arg0)`
`boolean` | `lock(java.lang.String arg0, boolean arg1)`
`boolean` | `lock(java.util.Vector arg0)`
`boolean` | `lock(java.util.Vector arg0, boolean arg1)`
`boolean` | `lockProvisional()`
`boolean` | `lockProvisional(java.lang.String arg0)`
`boolean` | `lockProvisional(java.util.Vector arg0)`
`void` | `recycle()`
`void` | `recycle(java.util.Vector arg0)`
`void` | `remove()`
`void` | `run()`
`void` | `run(java.lang.String arg0)`
`int` | `runOnServer()`
`int` | `runOnServer(java.lang.String arg0)`
`void` | `save()`
`void` | `setEnabled(boolean arg0)`
`void` | `setName(java.lang.String name)`
`void` | `setParamDoc(Document doc)`
`void` | `setServerName(java.lang.String arg0)`
`void` | `unlock()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DJAgent

    public DJAgent(java.lang.String name,
                   Document doc)

Method Detail

### setParamDoc

    public void setParamDoc(Document doc)

### getName

    public java.lang.String getName()
                             throws NotesException

    `NotesException`

### getParameterDocID

    public java.lang.String getParameterDocID()
                                       throws NotesException

    `NotesException`

### setName

    public void setName(java.lang.String name)

### run

    public void run()
             throws NotesException

    `NotesException`

### run

    public void run(java.lang.String arg0)
             throws NotesException

    `NotesException`

### runOnServer

    public int runOnServer()
                    throws NotesException

    `NotesException`

### runOnServer

    public int runOnServer(java.lang.String arg0)
                    throws NotesException

    `NotesException`

### remove

    public void remove()
                throws NotesException

    `NotesException`

### save

    public void save()
              throws NotesException

    `NotesException`

### getOwner

    public java.lang.String getOwner()
                              throws NotesException

    `NotesException`

### getLastRun

    public DateTime getLastRun()
                        throws NotesException

    `NotesException`

### isEnabled

    public boolean isEnabled()
                      throws NotesException

    `NotesException`

### setEnabled

    public void setEnabled(boolean arg0)
                    throws NotesException

    `NotesException`

### getServerName

    public java.lang.String getServerName()
                                   throws NotesException

    `NotesException`

### setServerName

    public void setServerName(java.lang.String arg0)
                       throws NotesException

    `NotesException`

### getQuery

    public java.lang.String getQuery()
                              throws NotesException

    `NotesException`

### getComment

    public java.lang.String getComment()
                                throws NotesException

    `NotesException`

### getParent

    public Database getParent()
                       throws NotesException

    `NotesException`

### isPublic

    public boolean isPublic()
                     throws NotesException

    `NotesException`

### getCommonOwner

    public java.lang.String getCommonOwner()
                                    throws NotesException

    `NotesException`

### getTrigger

    public int getTrigger()
                   throws NotesException

    `NotesException`

### getTarget

    public int getTarget()
                  throws NotesException

    `NotesException`

### isNotesAgent

    public boolean isNotesAgent()
                         throws NotesException

    `NotesException`

### isWebAgent

    public boolean isWebAgent()
                       throws NotesException

    `NotesException`

### getURL

    public java.lang.String getURL()
                            throws NotesException

    `NotesException`

### recycle

    public void recycle()
                 throws NotesException

    `NotesException`

### recycle

    public void recycle(java.util.Vector arg0)
                 throws NotesException

    `NotesException`

### getNotesURL

    public java.lang.String getNotesURL()
                                 throws NotesException

    `NotesException`

### getHttpURL

    public java.lang.String getHttpURL()
                                throws NotesException

    `NotesException`

### isActivatable

    public boolean isActivatable()
                          throws NotesException

    `NotesException`

### getOnBehalfOf

    public java.lang.String getOnBehalfOf()
                                   throws NotesException

    `NotesException`

### getLockHolders

    public java.util.Vector getLockHolders()
                                    throws NotesException

    `NotesException`

### lock

    public boolean lock()
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(boolean arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.lang.String arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.lang.String arg0,
                        boolean arg1)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.util.Vector arg0)
                 throws NotesException

    `NotesException`

### lock

    public boolean lock(java.util.Vector arg0,
                        boolean arg1)
                 throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional()
                            throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional(java.lang.String arg0)
                            throws NotesException

    `NotesException`

### lockProvisional

    public boolean lockProvisional(java.util.Vector arg0)
                            throws NotesException

    `NotesException`

### unlock

    public void unlock()
                throws NotesException

    `NotesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD